<?php session_start();
	date_default_timezone_set('America/Bogota');
	//RESTRICCION DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
	if (isset($_SESSION['tipousuario'])){
		if ($_SESSION['tipousuario']=='1'){
			header ('location:menu_personal.php');
		}
	}

	if(trim($_SESSION['nombre_validar'])==''){
		header ('location:index.php');
	}

	include ("fphp.php");
	$enlace=cargar_conexion();
	menu();

	echo "<font face='verdana' size=2>";

////SCRIPTS///
?>

<head>
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>

	<link rel="stylesheet" href="css/timepicker.min.css">
	<script src="js/timepicker.min.js"></script>

	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

	<script src='js/bootstrap.min.js'></script>

	<!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
		integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
			integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
			crossorigin="anonymous"></script> -->
	<!--
	<script src="//cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
	<link rel="stylesheet" href="//cdn.datatables.net/1.10.25/css/jquery.dataTables.min.css"> -->

</head>

<style>
	.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
		color: #fff;
		text-decoration: none;
		background-color: #337ab7;
		outline: 0;
	}
	#tabla_novedades .horas_extras, .ausencia_medica, .validado_por_sso, .justificacion_ausencia, .remunerado_ausencia, .tiempo_viaje_ausencia, .ausencia, .ausencia_programada, .tipo_permiso_ausencia, .retardo, .salida_anticipada, .horassalida_anticipada, .datos_trabajador, .hora_salida_ausencia, .hora_llegada_ausencia  {
  	display: none;
	}
	#ocultar {
  	display: none;
	}

	.form-control-time {
	width: 80px;
    height: 34px;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
	}
	.boton{
    /* width: 100%; */
    color: #FFFFFF;
    /* font-size: 0.8725em; */
    padding: 7px;
    margin-bottom: 5px;
    margin-top: 10px;
    outline: none;
    /* margin: 5px 0; */
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    background: #36C1E2;
    border: 0px solid #DFDFDF;
	}

    .glyphicon-modal-window:before{content:"\e237"}
    .modal-open{overflow:hidden}
    .modal{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1050;display:none;overflow:hidden;-webkit-overflow-scrolling:touch;outline:0}
    .modal.fade .modal-dialog{-webkit-transform:translate(0,-25%);-ms-transform:translate(0,-25%);-o-transform:translate(0,-25%);transform:translate(0,-25%);-webkit-transition:-webkit-transform .3s ease-out;-o-transition:-o-transform .3s ease-out;transition:-webkit-transform .3s ease-out;transition:transform .3s ease-out;transition:transform .3s ease-out,-webkit-transform .3s ease-out,-o-transform .3s ease-out}
    .modal.in .modal-dialog{-webkit-transform:translate(0,0);-ms-transform:translate(0,0);-o-transform:translate(0,0);transform:translate(0,0)}
    .modal-open .modal{overflow-x:hidden;overflow-y:auto}
    .modal-dialog{position:relative;width:auto;margin:10px}
    .modal-content{position:relative;background-color:#fff;background-clip:padding-box;border:1px solid #999;border:1px solid rgba(0,0,0,.2);border-radius:6px;-webkit-box-shadow:0 3px 9px rgba(0,0,0,.5);box-shadow:0 3px 9px rgba(0,0,0,.5);outline:0}
    .modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1040;background-color:#000}
    .modal-backdrop.fade{filter:alpha(opacity=0);opacity:0}
    .modal-backdrop.in{filter:alpha(opacity=50);opacity:.5}
    .modal-header{padding:15px;border-bottom:1px solid #e5e5e5}
    .modal-header .close{margin-top:-2px}
    .modal-title{margin:0;line-height:1.42857143}
    .modal-body{position:relative;padding:15px}
    .modal-footer{padding:15px;text-align:right;border-top:1px solid #e5e5e5}
    .modal-footer .btn+.btn{margin-bottom:0;margin-left:5px}
    .modal-footer .btn-group .btn+.btn{margin-left:-1px}
    .modal-footer .btn-block+.btn-block{margin-left:0}
    .modal-scrollbar-measure{position:absolute;top:-9999px;width:50px;height:50px;overflow:scroll}@media (min-width:768px){.modal-dialog{width:600px;margin:30px auto}
    .modal-content{-webkit-box-shadow:0 5px 15px rgba(0,0,0,.5);box-shadow:0 5px 15px rgba(0,0,0,.5)}
    .modal-sm{width:300px}}@media (min-width:992px){.modal-lg{width:900px}}
    .tooltip{position:absolute;z-index:1070;display:block;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;font-style:normal;font-weight:400;line-height:1.42857143;line-break:auto;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;word-spacing:normal;word-wrap:normal;white-space:normal;font-size:12px;filter:alpha(opacity=0);opacity:0}
    .tooltip.in{filter:alpha(opacity=90);opacity:.9}


	/*the container must be positioned relative:*/
	.autocomplete {
		position: relative;
		display: inline-block;
		text-transform: capitalize;
	}
	.autocompletar{
		text-transform: capitalize;
	}
	.regristrado{
		color: green;
		margin-left: 7%;
		font-weight: bold;
	}

	.noregristrado{
		color: red;
		margin-left: 7%;
		font-weight: bold;
	}

	.autocomplete-items {
		position: absolute;
		border: 1px solid #d4d4d4;
		border-bottom: none;
		border-top: none;
		z-index: 99;
		/*position the autocomplete items to be the same width as the container:*/
		top: 100%;
		left: 0;
		right: 0;
	}

	.autocomplete-items div {
		padding: 5px;
		cursor: pointer;
		background-color: #fff;
		border-bottom: 1px solid #d4d4d4;
	}

	/*when hovering an item:*/
	.autocomplete-items div:hover {
		background-color: #e9e9e9;
	}

	/*when navigating through the items using the arrow keys:*/
	.autocomplete-active {
		background-color: DodgerBlue !important;
		color: #ffffff;
	}
</style>

<?php
// ---------------------- Contenedor main y HTML ---------------------------------------
echo "<main class='container'>";
	echo "<section class='row text-center'>";
		echo "<h2 class='text-dark text-left'><b>Generar Pagos Especiales</b></h2>";

		### Inicio: Pregunta la nomina a procesar ###
		if (!isset($_POST['inicio'])){
			// Selector
			// Selector
				echo "<div class='col-sm-12 justify-content-center m-auto'>";
					echo "<form autocomplete='off' name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' class='form-inline'>";
					echo "<input type = 'hidden' name = 'inicio' value = '1'>";
					echo "<div class='form-group'>";
					echo "<label name='label-novedad'>Seleccione</label>
									<select style='width:230px;' name='preNomina' id='preNomina' class='form-control'>
											<option value='' selected>Tipo de nómina";

											$query2 = "SELECT * FROM nomina WHERE id='".$_SESSION['id_validar']."'";
											$consulta2 = mysqli_query($enlace,$query2);

											while($fila2 = mysqli_fetch_array($consulta2)){
												echo "<option value='".$fila2['codigo']."'>".$fila2['codigo']." ".$fila2['detalle']."";
											}
									echo "</select>";
					echo "</div>&nbsp;&nbsp;";
					echo '<input name="generarPreNomina" type="submit" class="boton" value="CARGAR/VER" id="generarPreNomina"></input>';
					echo "</form>";
				echo "</div>";
			// Selector
			// Selector
		}
		### Fin: Pregunta la nomina a procesar ###


		### Inicio: Diligenciamiento de valores ###
		if ($_POST['inicio']==1){

			$nomina = $_POST['preNomina']; //Captura la nómina a procesar
			$nominaConsultar = '';
			if($nomina != "100"){
				$nominaConsultar = "'200','300','400','500'";
			}
			else{
				$nominaConsultar = "'100'";
			}

			// Inicio: Obtener la lista de empleados segun sea la nomina
				$query = "SELECT * FROM personal WHERE cuenta != '' AND status !='I' AND status !='S' AND id='".$_SESSION['id_validar']."' AND nomina IN (".$nominaConsultar.") order by codigo";
				$consulta=mysqli_query($enlace,$query);
				$cant_emp_pagar = mysqli_num_rows($consulta);

				if (mysqli_num_rows($consulta)!=0){
					$row=mysqli_fetch_array($consulta);
					$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
				} else {
					$_SESSION['per_validar']='';
				}
			// Fin: Obtener la lista de empleados segun sea la nomina

			echo "<div class='col-sm-12 justify-content-center m-auto'>";

      echo "<form autocomplete='off' name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' class='form-inline'>";
				echo "<input type = 'hidden' name = 'inicio' value = '2'>";
				echo "<input type = 'hidden' name = 'nominaSeleccionada' value = '".$nomina."'>";

				echo "<tr>";
				///Consulto los conceptos especaiels disponibles
				$queryC = "select * from concepto_especiales where id='".$_SESSION['id_validar']."' order by detalle";
				$consultaC = mysqli_query($enlace,$queryC) or die ("no se pudo realizar la consulta...");	
				$resultadoC = mysqli_num_rows($consultaC);
				
					echo "<td align = 'right'> Concepto del Pago Especial: </td>";
					echo "<td align = 'left'> <select name = 'concepto_pago_especial' value='' placeholder='Escriba aqui el concepto' > *";
				if ($resultadoC != 0) {
					for ($i=0;$i<$resultadoC;$i++) {
						$rowC = mysqli_fetch_array($consultaC);
						echo "<option width = '30%'>".$rowC['codigo']." - ".$rowC['detalle'];
					}
				}	
				echo "</select>";
				echo "</td>";	
				echo "</tr>";


				echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
					echo "<tr bgcolor='#43bced' height='35'>";
					echo "<th align = left><font color=white> C&eacute;dula </font></th>";
					echo "<th align = left><font color=white> Apellidos </font></th>";
					echo "<th align = left><font color=white> Nombres </font></th>";
					echo "<th align = center><font color=white> Monto </font></th>";


					$registro_color=0; //Para imprimir de otro color cada registro de la tabla
					do {
						if ($registro_color==0){
							echo '<tr bgcolor=white >';
							$registro_color=1;
						}else{
							echo "<tr bgcolor='#dfdfd0' >";
							$registro_color=0;
						}

						echo "<td width=150 align='left'>".$row['codigo']."</td>";
						echo "<td width=150>".$row['apellidos']."</td>";
						echo "<td width=150>".$row['nombres']."</td>";
						echo "<td width='100'> <input style='color:black; font-size:1.5em; height: 30px;  width: 150px' name='monto_".$row['codigo']."' maxlength = '20'> </td>";
						echo "</tr>";
					}while ($row = mysqli_fetch_array($consulta));

					mysqli_free_result($consulta);
				echo "</table>";
				echo "<h5>Cantidad de empleados : ".$cant_emp_pagar."</h5>";
      	echo '<input name="generarPagoEspecial" type="submit" class="boton" value="Generar pago especial"></input>';

      echo "</form>";
		}
		### Fin: Diligenciamiento de valores ###


		### Inicio: Mensajes y resultados ###
		if ($_POST['inicio']==2){
			if (isset($_POST['generarPagoEspecial'])) {
				if ($_SESSION['id_validar']==104  ){

				##### INICIA: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######

					//Recibe todas las variables por POST
					extract($_POST);

					//Fecha actual
					$fecha_registro = date('Y-m-d H:i:s');
					
					//Busca los empleados que estuvieron en el formulario
					$query = "SELECT * FROM personal WHERE cuenta != '' AND status !='I' AND status !='S' AND id='".$_SESSION['id_validar']."'  order by codigo";
					$consulta=mysqli_query($enlace,$query);
					while ($row = mysqli_fetch_array($consulta)) {
						//Construye la variable para consultar el monto enviado en el formulario
						$formato_monto_input_empleado = "monto_".$row['codigo'];
						$monto_empleado = $$formato_monto_input_empleado;
						$concepto_monto_empleado = substr($_POST["concepto_pago_especial"],0,4);
						$desconcepto_monto_empleado = substr($_POST["concepto_pago_especial"],7);
						//La variable $monto_8987541 --> Corresponde al nombre del input en el formulario, por ello se usa doble signo $
						if ($monto_empleado!=""){//Si el valor recibido es diferente de vacio
							$monto_empleado =  str_replace(',','.',$monto_empleado);

							//Inserta registros en BD
							$query_insert="INSERT INTO historico_pagos_especiales (
							id, 
							cedula,
							nomina,
							departamento,
							unidad,
							monto,
							concepto,							
							desconcepto, 
							fecha_registro) 
							VALUES (
							'".$_SESSION['id_validar']."',
							'".$row['codigo']."',
							'".$row['nomina']."',
							'".$row['departamento']."',
							'".$row['unidad']."',
							'$monto_empleado',
							'$concepto_monto_empleado', 
							'$desconcepto_monto_empleado', 
							'$fecha_registro')";
							$result_query_concepto = mysqli_query($enlace, $query_insert) or die("<b>A fatal MySQL error occurred</b>.\n Query: " . $query_insert . "\nError: (" . mysqli_errno($enlace) . ") " . mysqli_error($enlace));

						}
					}
					
				##### FIN: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######
				
				////Inicia BNC
				
				$consultaEmpresa="select nombre,encabeza from empresa where id='".$_SESSION['id_validar']."' ";
				$consultaEmpresa=mysqli_query($enlace,$consultaEmpresa) or die ($consultaEmpresa.mysqli_error($enlace));
				$rowEmpresa = mysqli_fetch_array($consultaEmpresa);
				$nombreEmpresa = $rowEmpresa['nombre'];
				$rifEmpresa   = $rowEmpresa['encabeza'];
				$rifEmpresa = preg_replace('([^A-Za-z0-9])', '', $rifEmpresa);

			
				$query_emp_pagar = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."'  AND pe.banco='0191' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";

					$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
					$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);


					//Consulta monto total a pagar
					$query_monto_pagar = "SELECT SUM(hp.monto) AS monto , hp.cedula, pe.codigo
					FROM historico_pagos_especiales as hp
					INNER JOIN personal AS pe ON hp.cedula = pe.codigo 
					WHERE hp.fecha_registro = '$fecha_registro' AND pe.banco='0191' AND hp.id='".$_SESSION['id_validar']."'";
					$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
					$row_monto=mysqli_fetch_array($resul_monto_pagar);
					$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

					$fecha_lote = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
					$numero_lote_archivo = rand(1000000,9999999); //Número aleatorio
					$numero_serie = rand(100000,999999)+100000;

					//Generación de archivo
					$filename = "pago_especial_bnc-".$fecha_lote.".txt";
					$f = "pagoespecial_txt/".$filename;
					$file = fopen($f,"w+");
					
					fwrite($file, "ND");
					fwrite($file, " ");
					if($_SESSION['id_validar']==107) ////IGM
				{
					
				fwrite($file, "01910085562185137626");
				
				}else if ($_SESSION['id_validar']==104) ///MERSAN
				{
				fwrite($file, "01910085532185049069");	
				} else {
					fwrite($file, "NO TIENE CUENTA BNC");	
				}
					fwrite($file, str_repeat("0",13-strlen($monto_total_pagar)));
					fwrite($file, $monto_total_pagar);
					fwrite($file, $rifEmpresa);
					fwrite($file, "\r\n"); //Nueva Linea
			
				while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
						$cedula = $row_emp_pag['cedula'];
						$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag['concepto'];
						$cuenta_banco = $row_emp_pag['cuenta'];
						$nacionalidad = $row_emp_pag['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
						$correo = $row_emp_pag['mensaje'];

						fwrite($file, "NC");
						fwrite($file, " ");
						fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
						fwrite($file, str_pad($monto, 13, "0", STR_PAD_LEFT));
						fwrite($file, $nacionalidad);
						fwrite($file, str_pad($cedula, 9, "0", STR_PAD_LEFT));
						fwrite($file,"\r\n"); //Nueva Linea
					
					}
					fclose($file);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo BNC guardado correctamente <a href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';>Descargar</a><p>";
					
				//// Fin BNC
				
				
				// INICIA: PARA EMPLEADOS DEL BANCO PROVINCIAL A OTROS BANCOS (LOS QUE NO TIENEN BNC)
					//Consulta empleados a pagar (PROVINCIAL)
					/*
					$query_emp_pagar = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."' AND pe.banco='0108' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";
					*/ ////Se unificó el TXT uno solo para todos los bancos (abajo) -- Miguelangel 31/07/22
					
					 		/////////////////////////Desde aquí Se comentó porque se cambió el banco por defecto a BNC --- Miguelangel 27/04/2023
					
					$query_emp_pagar = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."' AND pe.banco!='0191' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";

					$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
					$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);


					
					$fecha_lote = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
					$numero_lote_archivo = rand(1000000,9999999); //Número aleatorio
					$numero_serie = rand(100000,999999)+100000;

					//Generación de archivo
					$filename = "pago_especial_prov-".$fecha_lote.".txt";
					$f = "pagoespecial_txt/".$filename;
					$file = fopen($f,"w+");

				while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
						$cedula = $row_emp_pag['cedula'];
						$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag['concepto'];
						$cuenta_banco = $row_emp_pag['cuenta'];
						$nacionalidad = $row_emp_pag['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
						$correo = $row_emp_pag['mensaje'];

						//fwrite($file,"2V"); //Constante

						//fwrite($file,"1000000000000               000000000000000"); //Constante
						fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
						fwrite($file," ");//Constante
						fwrite($file,$nacionalidad);
						fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
						fwrite($file," ");//Constante
						fwrite($file,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
						fwrite($file," ");//Constante
						fwrite($file,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
						//fwrite($file,"                0000000062000"); //Constatne
						//fwrite($file,str_pad($nombres, 60, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 60 caracteres
						//fwrite($file,str_pad(date('j'), 9, "0", STR_PAD_LEFT)); //Día sin cero a la izq
						//fwrite($file,rand(100000,999999)); //Aleatorio
						//fwrite($file,str_pad($correo, 50, " ", STR_PAD_RIGHT)); //Imprime correo con espacios hasta 50 caracteres
						//fwrite($file,"0000                              ");//Constante
						//fwrite($file,str_pad($concepto_monto, 80, " ", STR_PAD_RIGHT)); //Imprime constante con espacios hasta 80 caracteres
						//fwrite($file,"00000000000000000000000000000000000");//Constante
						fwrite($file,"\r\n"); //Nueva Linea
					}
					fclose($file);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo provincial guardado correctamente <a href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';>Descargar</a><p>";
					
					 /////////////////////////Se comentó porque se cambió el banco por defecto a BNC --- Miguelangel 27/04/2023

				// FIN PARA EMPLEADOS DEL BANCO PROVINCIAL A OTROS BANCOS 
				
				
				
				
				
				// INICIA: PARA EMPLEADOS DE OTROS BANCOS
					/*  /////Se cometarió para otros bancos porque se está sacando un solo TXT para todos los banco -- Miguelangel 31/07/22

					//Consulta empleados a pagar (OTROS BANCOS)
					$query_emp_pagar_otros = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."' AND pe.banco != '0108' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";
					$resul_emp_pagar_otros = mysqli_query($enlace,$query_emp_pagar_otros);
					$cant_emp_pagar_otros = mysqli_num_rows($resul_emp_pagar_otros);


					//Consulta monto total a pagar
					$query_monto_pagar = "SELECT SUM(monto) AS monto FROM historico_pagos_especiales WHERE fecha_registro = '$fecha_registro' AND id='".$_SESSION['id_validar']."'";
					$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
					$row_monto=mysqli_fetch_array($resul_monto_pagar);
					$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

					$fecha_lote_otros = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)

					//Generación de archivo
					$filenameotros = "pago_especial_otros-".$fecha_lote_otros.".txt";
					$fo = "pagoespecial_txt/".$filenameotros;
					$fileOtros = fopen($fo,"w+");

					while ($row_emp_pag_otros=mysqli_fetch_array($resul_emp_pagar_otros)){
						$cedula = $row_emp_pag_otros['cedula'];
						$monto = str_replace('.','',$row_emp_pag_otros['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag_otros['concepto'];
						$cuenta_banco = $row_emp_pag_otros['cuenta'];
						$nacionalidad = $row_emp_pag_otros['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag_otros['nombres']));
						$correo = $row_emp_pag_otros['mensaje'];

						fwrite($fileOtros,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,$nacionalidad);
						fwrite($fileOtros,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
						fwrite($fileOtros,"\r\n"); //Nueva Linea
					}
					fclose($fileOtros);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo otros bancos guardado correctamente <a href = 'generar_txt.php?specialPayment=$filenameotros&directory=pagoespecial_txt';>Descargar</a><p>";
					*/
				// FIN: PARA EMPLEADOS DE OTROS BANCOS
				
				
				
				

				// INICIA: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
					echo "<a id='link1' target='_blank' href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';></a>";
					//echo "<a id='link2' target='_blank' href = 'generar_txt.php?specialPayment=$filenameotros&directory=pagoespecial_txt';></a>";
					echo "<script> document.getElementById('link1').click(); document.getElementById('link2').click(); </script>";
				// FIN: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
				/////////////Fin ARCHIVOS Mersan
			}elseif($_SESSION['id_validar']==105 ){
				##### INICIA: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######

					//Recibe todas las variables por POST
					extract($_POST);

					//Fecha actual
					$fecha_registro = date('Y-m-d H:i:s');

					//Busca los empleados que estuvieron en el formulario
					$query = "SELECT * FROM personal WHERE cuenta != '' AND status !='I' AND status !='S' AND id='".$_SESSION['id_validar']."'  order by codigo";
					$consulta=mysqli_query($enlace,$query);
					while ($row = mysqli_fetch_array($consulta)) {
						//Construye la variable para consultar el monto enviado en el formulario
						$formato_monto_input_empleado = "monto_".$row['codigo'];
						$monto_empleado = $$formato_monto_input_empleado;
						$concepto_monto_empleado = substr($_POST["concepto_pago_especial"],0,4);
						$desconcepto_monto_empleado = substr($_POST["concepto_pago_especial"],7);
						//La variable $monto_8987541 --> Corresponde al nombre del input en el formulario, por ello se usa doble signo $
						if ($monto_empleado!=""){//Si el valor recibido es diferente de vacio
							$monto_empleado =  str_replace(',','.',$monto_empleado);

							//Inserta registros en BD
							$query_insert="INSERT INTO historico_pagos_especiales (
							id, 
							cedula, 
							monto, 
							concepto, 
							desconcepto,
							fecha_registro) 
							VALUES (
							'".$_SESSION['id_validar']."',
							'".$row['codigo']."',
							'$monto_empleado', 
							'$concepto_monto_empleado',
							'$desconcepto_monto_empleado',
							'$fecha_registro')";
							$result_query_concepto = mysqli_query($enlace,$query_insert) or die("<b>A fatal MySQL error occured</b>.\n Query: " . $query_insert . "\nError: (" . mysqli_errno($enlace) . ") " . mysqli_error($enlace));
						}
					}
				##### FIN: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######

				// INICIA: PARA EMPLEADOS DEL BANCO PROVINCIAL A PROVINCIAL
					//Consulta empleados a pagar (PROVINCIAL)
					/*
					$query_emp_pagar = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."' AND pe.banco='0108' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";
					*/ ////Se unificó el TXT uno solo para todos los bancos (abajo) -- Miguelangel 31/07/22

					$query_emp_pagar = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.tipo, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."' AND pe.banco!='' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";

					$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
					$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);


					//Consulta monto total a pagar
					$query_monto_pagar = "SELECT SUM(monto) AS monto FROM historico_pagos_especiales WHERE fecha_registro = '$fecha_registro' AND id='".$_SESSION['id_validar']."'";
					$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
					$row_monto=mysqli_fetch_array($resul_monto_pagar);
					$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

					$fecha_lote = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
					$numero_lote_archivo = rand(1000000,9999999); //Número aleatorio
					$numero_serie = rand(100000,999999)+100000;

						$consultaEmpresa="select nombre from empresa where id='".$_SESSION['id_validar']."' ";
						$consultaEmpresa=mysqli_query($enlace,$consultaEmpresa) or die ($consultaEmpresa.mysqli_error($enlace));
						$rowEmpresa = mysqli_fetch_array($consultaEmpresa);
						$nombreEmpresa=$rowEmpresa['nombre'];
						////////////////**************************************

						$fecha_pago = date('d/m/y');
						$nombre_archivo = "bancos.txt";

					//Generación de archivo
					$filename = "pago_especial_prov-".$fecha_lote.".txt";
					$f = "pagoespecial_txt/".$filename;
					$file = fopen($f,"w+");

					//$file = fopen($nombre_archivo, "w+");
					fwrite($file, "H");
					fwrite($file, $nombreEmpresa);
					fwrite($file, str_repeat(" ",40-strlen($nombreEmpresa)));
					fwrite($file, "01020759250000054933");
					fwrite($file, "08");
					fwrite($file, $fecha_pago);
					fwrite($file, str_repeat("0",13-strlen($monto_total_pagar)));
					fwrite($file, $monto_total_pagar);
					fwrite($file, "03291");
					fwrite($file, " ");

					fwrite($file, "\r\n");
					//REGISTRO: SEGUNDA LINEA //


					while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){

						$cedula = $row_emp_pag['cedula'];
						$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag['concepto'];
						$cuenta_banco = $row_emp_pag['cuenta'];
						$tipo_cuenta = $row_emp_pag['tipo'];
						$tipo_cuenta = $tipo_cuenta - 1 ; ////para coincidir con el tipo en el txt ahorros=0, corriente = 1 Miguelangel
						$nacionalidad = $row_emp_pag['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
						$correo = $row_emp_pag['mensaje'];
						$nomina = $row_emp_pag['nomina'];

						//fwrite($file,"2V"); //Constante

						//fwrite($file,"1000000000000               000000000000000"); //Constante
						fwrite($file,$tipo_cuenta);
					fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
					fwrite($file, str_pad($monto, 11, "0", STR_PAD_LEFT));
					fwrite($file,$tipo_cuenta);
					fwrite($file, "770");
					fwrite($file,str_pad($nombres, 40, " ", STR_PAD_RIGHT));
					fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
					fwrite($file, "003291");
					fwrite($file, "  ");

					fwrite($file,"\r\n"); //Nueva Linea
					}
					fclose($file);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo provincial guardado correctamente <a href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';>Descargar</a><p>";

				// INICIA: PARA EMPLEADOS DEL BANCO PROVINCIAL A PROVINCIAL

				// INICIA: PARA EMPLEADOS DE OTROS BANCOS
					/*  /////Se cometarió para otros bancos porque se está sacando un solo TXT para todos los banco -- Miguelangel 31/07/22

					//Consulta empleados a pagar (OTROS BANCOS)
					$query_emp_pagar_otros = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."' AND pe.banco != '0108' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";
					$resul_emp_pagar_otros = mysqli_query($enlace,$query_emp_pagar_otros);
					$cant_emp_pagar_otros = mysqli_num_rows($resul_emp_pagar_otros);


					//Consulta monto total a pagar
					$query_monto_pagar = "SELECT SUM(monto) AS monto FROM historico_pagos_especiales WHERE fecha_registro = '$fecha_registro' AND id='".$_SESSION['id_validar']."'";
					$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
					$row_monto=mysqli_fetch_array($resul_monto_pagar);
					$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

					$fecha_lote_otros = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)

					//Generación de archivo
					$filenameotros = "pago_especial_otros-".$fecha_lote_otros.".txt";
					$fo = "pagoespecial_txt/".$filenameotros;
					$fileOtros = fopen($fo,"w+");

					while ($row_emp_pag_otros=mysqli_fetch_array($resul_emp_pagar_otros)){
						$cedula = $row_emp_pag_otros['cedula'];
						$monto = str_replace('.','',$row_emp_pag_otros['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag_otros['concepto'];
						$cuenta_banco = $row_emp_pag_otros['cuenta'];
						$nacionalidad = $row_emp_pag_otros['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag_otros['nombres']));
						$correo = $row_emp_pag_otros['mensaje'];

						fwrite($fileOtros,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,$nacionalidad);
						fwrite($fileOtros,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
						fwrite($fileOtros,"\r\n"); //Nueva Linea
					}
					fclose($fileOtros);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo otros bancos guardado correctamente <a href = 'generar_txt.php?specialPayment=$filenameotros&directory=pagoespecial_txt';>Descargar</a><p>";
					*/
				// FIN: PARA EMPLEADOS DE OTROS BANCOS

				// INICIA: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
					echo "<a id='link1' target='_blank' href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';></a>";
					//echo "<a id='link2' target='_blank' href = 'generar_txt.php?specialPayment=$filenameotros&directory=pagoespecial_txt';></a>";
					echo "<script> document.getElementById('link1').click(); document.getElementById('link2').click(); </script>";
				// FIN: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
				/////////////Fin ARCHIVOS FINTECH
			}elseif ($_SESSION['id_validar']==106 ){

				##### INICIA: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######

					//Recibe todas las variables por POST
					extract($_POST);

					//Fecha actual
					$fecha_registro = date('Y-m-d H:i:s');
					
					//Busca los empleados que estuvieron en el formulario
					$query = "SELECT * FROM personal WHERE cuenta != '' AND status !='I' AND status !='S' AND id='".$_SESSION['id_validar']."'  order by codigo";
					$consulta=mysqli_query($enlace,$query);
					while ($row = mysqli_fetch_array($consulta)) {
						//Construye la variable para consultar el monto enviado en el formulario
						$formato_monto_input_empleado = "monto_".$row['codigo'];
						$monto_empleado = $$formato_monto_input_empleado;
						$concepto_monto_empleado = substr($_POST["concepto_pago_especial"],0,4);
						$desconcepto_monto_empleado = substr($_POST["concepto_pago_especial"],7);
						//La variable $monto_8987541 --> Corresponde al nombre del input en el formulario, por ello se usa doble signo $
						if ($monto_empleado!=""){//Si el valor recibido es diferente de vacio
							$monto_empleado =  str_replace(',','.',$monto_empleado);

							//Inserta registros en BD
							$query_insert="INSERT INTO historico_pagos_especiales (
							id, 
							cedula,
							nomina,
							departamento,
							unidad,
							monto,
							concepto,							
							desconcepto, 
							fecha_registro) 
							VALUES (
							'".$_SESSION['id_validar']."',
							'".$row['codigo']."',
							'".$row['nomina']."',
							'".$row['departamento']."',
							'".$row['unidad']."',
							'$monto_empleado',
							'$concepto_monto_empleado', 
							'$desconcepto_monto_empleado', 
							'$fecha_registro')";
							$result_query_concepto = mysqli_query($enlace,$query_insert) or die("<b>A fatal MySQL error occured</b>.\n Query: " . $query_insert . "\nError: (" . mysqli_errno($enlace) . ") " . mysqli_error($enlace));
						}
					}
					
				##### FIN: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######
					
								
					$query_emp_pagar = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."'  AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";

					$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
					$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);


					
					$fecha_lote = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
					$numero_lote_archivo = rand(1000000,9999999); //Número aleatorio
					$numero_serie = rand(100000,999999)+100000;

					//Generación de archivo
					$filename = "pago_especial_prov-".$fecha_lote.".txt";
					$f = "pagoespecial_txt/".$filename;
					$file = fopen($f,"w+");

				while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
						$cedula = $row_emp_pag['cedula'];
						$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag['concepto'];
						$cuenta_banco = $row_emp_pag['cuenta'];
						$nacionalidad = $row_emp_pag['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
						$correo = $row_emp_pag['mensaje'];

						//fwrite($file,"2V"); //Constante

						//fwrite($file,"1000000000000               000000000000000"); //Constante
						fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
						fwrite($file," ");//Constante
						fwrite($file,$nacionalidad);
						fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
						fwrite($file," ");//Constante
						fwrite($file,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
						fwrite($file," ");//Constante
						fwrite($file,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
						//fwrite($file,"                0000000062000"); //Constatne
						//fwrite($file,str_pad($nombres, 60, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 60 caracteres
						//fwrite($file,str_pad(date('j'), 9, "0", STR_PAD_LEFT)); //Día sin cero a la izq
						//fwrite($file,rand(100000,999999)); //Aleatorio
						//fwrite($file,str_pad($correo, 50, " ", STR_PAD_RIGHT)); //Imprime correo con espacios hasta 50 caracteres
						//fwrite($file,"0000                              ");//Constante
						//fwrite($file,str_pad($concepto_monto, 80, " ", STR_PAD_RIGHT)); //Imprime constante con espacios hasta 80 caracteres
						//fwrite($file,"00000000000000000000000000000000000");//Constante
						fwrite($file,"\r\n"); //Nueva Linea
					}
					fclose($file);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo provincial guardado correctamente <a href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';>Descargar</a><p>";
					
					 /////////////////////////Se comentó porque se cambió el banco por defecto a BNC --- Miguelangel 27/04/2023

				// FIN PARA EMPLEADOS DEL BANCO PROVINCIAL A OTROS BANCOS 
				
				
				
				
				
				// INICIA: PARA EMPLEADOS DE OTROS BANCOS
					/*  /////Se cometarió para otros bancos porque se está sacando un solo TXT para todos los banco -- Miguelangel 31/07/22

					//Consulta empleados a pagar (OTROS BANCOS)
					$query_emp_pagar_otros = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."' AND pe.banco != '0108' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";
					$resul_emp_pagar_otros = mysqli_query($enlace,$query_emp_pagar_otros);
					$cant_emp_pagar_otros = mysqli_num_rows($resul_emp_pagar_otros);


					//Consulta monto total a pagar
					$query_monto_pagar = "SELECT SUM(monto) AS monto FROM historico_pagos_especiales WHERE fecha_registro = '$fecha_registro' AND id='".$_SESSION['id_validar']."'";
					$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
					$row_monto=mysqli_fetch_array($resul_monto_pagar);
					$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

					$fecha_lote_otros = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)

					//Generación de archivo
					$filenameotros = "pago_especial_otros-".$fecha_lote_otros.".txt";
					$fo = "pagoespecial_txt/".$filenameotros;
					$fileOtros = fopen($fo,"w+");

					while ($row_emp_pag_otros=mysqli_fetch_array($resul_emp_pagar_otros)){
						$cedula = $row_emp_pag_otros['cedula'];
						$monto = str_replace('.','',$row_emp_pag_otros['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag_otros['concepto'];
						$cuenta_banco = $row_emp_pag_otros['cuenta'];
						$nacionalidad = $row_emp_pag_otros['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag_otros['nombres']));
						$correo = $row_emp_pag_otros['mensaje'];

						fwrite($fileOtros,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,$nacionalidad);
						fwrite($fileOtros,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
						fwrite($fileOtros," ");//Constante
						fwrite($fileOtros,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
						fwrite($fileOtros,"\r\n"); //Nueva Linea
					}
					fclose($fileOtros);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo otros bancos guardado correctamente <a href = 'generar_txt.php?specialPayment=$filenameotros&directory=pagoespecial_txt';>Descargar</a><p>";
					*/
				// FIN: PARA EMPLEADOS DE OTROS BANCOS
				
				
				
				

				// INICIA: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
					echo "<a id='link1' target='_blank' href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';></a>";
					//echo "<a id='link2' target='_blank' href = 'generar_txt.php?specialPayment=$filenameotros&directory=pagoespecial_txt';></a>";
					echo "<script> document.getElementById('link1').click(); document.getElementById('link2').click(); </script>";
				// FIN: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
				/////////////Fin ARCHIVOS Mersan
			}elseif ($_SESSION['id_validar']==107 ){

				##### INICIA: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######

					//Recibe todas las variables por POST
					extract($_POST);

					//Fecha actual
					$fecha_registro = date('Y-m-d H:i:s');
					
					//Busca los empleados que estuvieron en el formulario
					$query = "SELECT * FROM personal WHERE cuenta != '' AND status !='I' AND status !='S' AND id='".$_SESSION['id_validar']."'  order by codigo";
					$consulta=mysqli_query($enlace,$query);
					while ($row = mysqli_fetch_array($consulta)) {
						//Construye la variable para consultar el monto enviado en el formulario
						$formato_monto_input_empleado = "monto_".$row['codigo'];
						$monto_empleado = $$formato_monto_input_empleado;
						$concepto_monto_empleado = substr($_POST["concepto_pago_especial"],0,4);
						$desconcepto_monto_empleado = substr($_POST["concepto_pago_especial"],7);
						//La variable $monto_8987541 --> Corresponde al nombre del input en el formulario, por ello se usa doble signo $
						if ($monto_empleado!=""){//Si el valor recibido es diferente de vacio
							$monto_empleado =  str_replace(',','.',$monto_empleado);

							//Inserta registros en BD
							$query_insert="INSERT INTO historico_pagos_especiales (
							id, 
							cedula,
							nomina,
							departamento,
							unidad,
							monto,
							concepto,							
							desconcepto, 
							fecha_registro) 
							VALUES (
							'".$_SESSION['id_validar']."',
							'".$row['codigo']."',
							'".$row['nomina']."',
							'".$row['departamento']."',
							'".$row['unidad']."',
							'$monto_empleado',
							'$concepto_monto_empleado', 
							'$desconcepto_monto_empleado', 
							'$fecha_registro')";
							$result_query_concepto = mysqli_query($enlace, $query_insert) or die("<b>A fatal MySQL error occurred</b>.\n Query: " . $query_insert . "\nError: (" . mysqli_errno($enlace) . ") " . mysqli_error($enlace));

						}
					}
					
				##### FIN: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######
				
				////Inicia BNC
				
				$consultaEmpresa="select nombre,encabeza from empresa where id='".$_SESSION['id_validar']."' ";
				$consultaEmpresa=mysqli_query($enlace,$consultaEmpresa) or die ($consultaEmpresa.mysqli_error($enlace));
				$rowEmpresa = mysqli_fetch_array($consultaEmpresa);
				$nombreEmpresa = $rowEmpresa['nombre'];
				$rifEmpresa   = $rowEmpresa['encabeza'];
				$rifEmpresa = preg_replace('([^A-Za-z0-9])', '', $rifEmpresa);

			
				$query_emp_pagar = "SELECT peu.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM historico_pagos_especiales AS peu INNER JOIN personal AS pe ON peu.cedula = pe.codigo WHERE peu.id = '".$_SESSION['id_validar']."'  AND pe.banco='0191' AND peu.fecha_registro = '$fecha_registro' order by pe.cuenta";

					$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
					$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);


					//Consulta monto total a pagar
					$query_monto_pagar = "SELECT SUM(hp.monto) AS monto , hp.cedula, pe.codigo
					FROM historico_pagos_especiales as hp
					INNER JOIN personal AS pe ON hp.cedula = pe.codigo 
					WHERE hp.fecha_registro = '$fecha_registro' AND pe.banco='0191' AND hp.id='".$_SESSION['id_validar']."'";
					$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
					$row_monto=mysqli_fetch_array($resul_monto_pagar);
					$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

					$fecha_lote = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
					$numero_lote_archivo = rand(1000000,9999999); //Número aleatorio
					$numero_serie = rand(100000,999999)+100000;

					//Generación de archivo
					$filename = "pago_especial_bnc-".$fecha_lote.".txt";
					$f = "pagoespecial_txt/".$filename;
					$file = fopen($f,"w+");
					
					fwrite($file, "ND");
					fwrite($file, " ");
					if($_SESSION['id_validar']==107) ////IGM
				{
					
				fwrite($file, "01910085562185137626");
				
				}else if ($_SESSION['id_validar']==104) ///MERSAN
				{
				fwrite($file, "01910085532185049069");	
				} else {
					fwrite($file, "NO TIENE CUENTA BNC");	
				}
					fwrite($file, str_repeat("0",13-strlen($monto_total_pagar)));
					fwrite($file, $monto_total_pagar);
					fwrite($file, $rifEmpresa);
					fwrite($file, "\r\n"); //Nueva Linea
			
				while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
						$cedula = $row_emp_pag['cedula'];
						$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
						$concepto_monto = $row_emp_pag['concepto'];
						$cuenta_banco = $row_emp_pag['cuenta'];
						$nacionalidad = $row_emp_pag['nacionalidad'];
						$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
						$correo = $row_emp_pag['mensaje'];

						fwrite($file, "NC");
						fwrite($file, " ");
						fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
						fwrite($file, str_pad($monto, 13, "0", STR_PAD_LEFT));
						fwrite($file, $nacionalidad);
						fwrite($file, str_pad($cedula, 9, "0", STR_PAD_LEFT));
						fwrite($file,"\r\n"); //Nueva Linea
					
					}
					fclose($file);

					echo "<style>
						.regristrado{
								color: green;
								margin-left: 7%;
								font-weight: bold;
						}
					</style>";
					echo "<p class='regristrado' >Archivo BNC guardado correctamente <a href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';>Descargar</a><p>";
					
				//// Fin BNC
				
				
				
				// INICIA: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
					echo "<a id='link1' target='_blank' href = 'generar_txt.php?specialPayment=$filename&directory=pagoespecial_txt';></a>";
					//echo "<a id='link2' target='_blank' href = 'generar_txt.php?specialPayment=$filenameotros&directory=pagoespecial_txt';></a>";
					echo "<script> document.getElementById('link1').click(); document.getElementById('link2').click(); </script>";
				// FIN: ENLACES DE DESCARGA AUTOMATICA DE ARCHIVOS
				/////////////Fin ARCHIVOS Mersan
			}
			}
		}
		### Fin: Mensajes y resultados ###
		echo "</section>";
echo "</main>";

?>
</body>
</html>
